Dismiss Connection Warnings by Type
Dismiss all active warnings of a specific type for a connection. Requires the warning type to be registered in the warning type registry.
Request schema
Path parameters
connectionId
stringrequired
The unique identifier of the connection. Retrieve it from the id field in the List All Connections response, or from the id field returned when you Create a Connection.
example:
4107c213907114059a5544ad8fa66c52
warningType
stringrequired
The warning type to dismiss (e.g., 'resync_table_warning', 'type_coercion_to_null_warning')
Header parameters
Authorization
stringrequired
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Accept
string
default:
application/json;version=2
example:
application/json;version=2
Http + 1.1
DELETE
https://api.fivetran.com/v1/connections/4107c213907114059a5544ad8fa66c52/warnings/{warningType}
DELETE /v1/connections/4107c213907114059a5544ad8fa66c52/warnings/{warningType} HTTP/1.1 Accept: application/json;version=2 Authorization: BasicHost: api.fivetran.com
Responses
200
Successful response
401
Unauthorized error
404
Connection not found or warning type not registered
405
Method not allowed error
406
Not acceptable error
200
code
stringrequired
Response status code
example:
Success
message
stringrequired
Response status text
example:
Warnings of type 'string' dismissed for connection 'string'
{ "code": "Success", "message": "Warnings of type 'string' dismissed for connection 'string'" }